# Update

The update container contains the following files:

* `Update.md`: Informations and instructions
* `Changelog-libperiCORE-<version>.md`: Version history of the used `libperiCORE`
* `Changelog-periNODE-GPIO-<version>.md`: Version history of the GPIO application
* `update_periNODE-GPIO-<platform>-<architecture>-<version>update.img.signed`: Firmware update file

## Update procedure

### Web User Interface

Open the `Firmware update` link of the node within it's web user interface, Choose the `update_periNODE-GPIO-<platform>-<architecture>-<version>update.img.signed` file and click on the `Upload file` button

### API

Updating a *periNODE* with it's API interface has two different flavours depending if the node is already member of a secured application.

#### Unsecured

```sh
curl -X PUT --data-binary '@./update_periNODE-GPIO-<platform>-<architecture>-<version>update.img.signed' https:/periNODE-<serial_number>.local/update
```

#### Secured

```sh
curl --cacert ~/Downloads/PKI2go/demo-root-ca.crt --cert-type P12 --key ~/Downloads/PKI2go/admin_pki_container.p12:admin_pki_container --cert ~/Downloads/PKI2go/admin_pki_container.p12:admin_pki_container -X PUT --data-binary '@./update_periNODE-GPIO-<platform>-<architecture>-<version>update.img.signed' https:/periNODE-<serial_number>.local/update
```
